# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeElementarySurface Class Reference

This class implements the mapping between classes
ElementarySurface from StepGeom which describes
a ElementarySurface from Step and ElementarySurface from
Geom. As ElementarySurface is an abstract Surface this
class is an access to the sub-class required.
.

`#include <StepToGeom_MakeElementarySurface.hxx>`

Inheritance diagram for StepToGeom_MakeElementarySurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeElementarySurface (const Handle(StepGeom_ElementarySurface)&S)
Standard_EXPORT const Handle_Geom_ElementarySurface & | Value () const

## Private Attributes

Handle_Geom_ElementarySurface | theElementarySurface

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeElementarySurface::StepToGeom_MakeElementarySurface | ( | const Handle(StepGeom_ElementarySurface)& | S | ) |

## Member Function Documentation

void StepToGeom_MakeElementarySurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeElementarySurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeElementarySurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_ElementarySurface& StepToGeom_MakeElementarySurface::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_ElementarySurface StepToGeom_MakeElementarySurface::theElementarySurface `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeElementarySurface.hxx